/**
 * @class
 */
export class SyntaxError extends Error {
    /**
     * @constructor
     * @param {string} message The error message
     * @param {number} line The line where the error occurred
     * @param {number} column The column where the error occurred
     */
    constructor(message, line, column) {
        super(message);
        this.name = 'SyntaxError';
        this.line = line;
        this.column = column;
    }
}
